% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      gcdist1
% from  2022-04-01 


% setup the problem
problem = setup_problem;

% generate a grid on the domain
[r,phi] = meshgrid(linspace(0,2,41),linspace(0,2*pi,41));
[x1,x2] = pol2cart(phi,r);

% plot the desired state
figure(1); clf; hold on
val = yOmega(problem,x1,x2);
surf(x1,x2,val);
xlabel('x_1');
ylabel('x_2');
title('desired state y_\Omega');
view(3);

% plot the force term eOmega
figure(2); clf; hold on
val = eOmega(problem,x1,x2);
surf(x1,x2,val);
xlabel('x_1');
ylabel('x_2');
title('force term e_\Omega');
view(3);

