function val = yOmega(problem,x1,x2)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      gcdist1
% from  2022-04-01 



% remember the size of the input and resize it
[m,n] = size(x1);
x1 = x1(:)';
x2 = x2(:)';

% evaluate the absolute value of the input points
[~,r] = cart2pol(x1,x2);

% evaluate the function
ix1 = find(r <= 1);
ix2 = find(r > 1);
val = zeros(size(r));
val(ix1) = 0.25 * (1 - r(ix1).^2) + 0.5 * log(2);
val(ix2) = 0.5 * (log(2) - log(r(ix2)));

% reshape the output
val = reshape(val,m,n);

